Bug 14882 - Librarians are not warned if patron owe more than maxoutstanding when placing holds
Summary: Librarians are not warned if patron owe more than maxoutstanding when placing...
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Hold requests (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low minor (vote)
Assignee: Kyle M Hall
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 14883
  Show dependency treegraph
 
Reported: 2015-09-23 14:37 UTC by Kyle M Hall
Modified: 2016-06-21 21:40 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 14882 - Librarian's are not warned if patron owe more than maxoutstanding (2.87 KB, patch)
2015-09-23 14:40 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14882 - Librarian's are not warned if patron owe more than maxoutstanding (2.65 KB, patch)
2015-09-23 14:40 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14882 - Librarians are not warned if patron owe more than maxoutstanding when placing holds (2.66 KB, patch)
2015-09-23 14:43 UTC, Kyle M Hall
Details | Diff | Splinter Review
[Signed-off] Bug 14882 - Librarians are not warned if patron owe more than maxoutstanding when placing holds (2.84 KB, patch)
2015-09-24 06:47 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 14882 - Librarians are not warned if patron owe more than maxoutstanding when placing holds (2.89 KB, patch)
2015-09-24 10:47 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2015-09-23 14:37:45 UTC
If a patron owes more than the system preference maxoutstanding in fees and fines, the patron will be unable to place holds via the opac. However, a librarian placing a hold for a patron is not even warned!
Comment 1 Kyle M Hall 2015-09-23 14:40:03 UTC Comment hidden (obsolete)
Comment 2 Kyle M Hall 2015-09-23 14:40:56 UTC Comment hidden (obsolete)
Comment 3 Kyle M Hall 2015-09-23 14:43:12 UTC Comment hidden (obsolete)
Comment 4 Marc Véron 2015-09-24 06:47:45 UTC Comment hidden (obsolete)
Comment 5 Jonathan Druart 2015-09-24 10:47:57 UTC
Created attachment 42838 [details] [review]
Bug 14882 - Librarians are not warned if patron owe more than maxoutstanding when placing holds

If a patron owes more than the system preference maxoutstanding in fees
and fines, the patron will be unable to place holds via the opac.
However, a librarian placing a hold for a patron is not even warned!

Test Plan:
1) Apply this patch
2) Set maxoutstanding to 1.00
3) Find a patron owing more than 1.00
4) Attempt to place a hold
5) Note the warning that the patron owes money

Works as expected.
Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 6 Jonathan Druart 2015-09-24 10:49:10 UTC
I have tried to standardize the way this is calculated, OPAC vs intranet, but it's out of the scope of this bug...
Comment 7 Tomás Cohen Arazi 2015-09-25 18:44:00 UTC
Patch pushed to master.

Thanks Kyle!